カテゴリー
お知らせ 運営ブログ

Apache及びPHPのバージョンアップ実施

eXout.netをご利用いただきありがとうございます。

本日、WebサーバーソフトのApache及びPHPのバージョンアップを実施いたしました。
新バージョンは以下の通りです。

Apache 2.4.12 / OpenSSL 1.0.1m
PHP 5.6.10

これに伴い、一部ユーザーに支障が発生している可能性があります。
特に、.htaccessをご利用の方は以下の点の確認/修正が必要になる場合がございます。

・アクセス許可設定がApache2.2から書き方が変更となっています。
全てのアクセスを許可する場合

Order allow,deny
Allow from all
新(全てのアクセスを許可)
Require all granted

全てのアクセスを拒否する場合

Order deny,allow
Deny from all

Require all denied

・今までルートディレクトリにhtaccessを置くと下部のpublic_htmlとcgi-binにて有効でしたが、
 ルートディレクトリに置いても参照されなくなりました。
それぞれのディレクトリに設置してください。

・PHP5.4からPHP5.6へバージョンアップしたことで、使用できなくなった、もしくは非推奨となった関数が多数存在します。
自作されたPHPファイルであれば、適宜修正願います。
一般に配布されているPHPファイルであれば、PHP5.6に対応しているか確認の上ご利用ください。

・正しいエンコーディング設定がされていないページでは文字化けが発生する可能性があります。
特に、PHPやCGI関係ではcharsetを必ず出力してください。
BASIC認証等を用いる場合は、htaccess自体のエンコーディング設定をページのエンコーディングと合わせてください。
(UTF-8を推奨します)

 

今までご利用いただけていたものが利用できなくなった等、問題が発生している場合は助け合い掲示板へ投稿いただければ確認の上、解決のお手伝いをさせていただきます。

今後ともよろしくお願いいたします。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください